View Issue Details

IDProjectCategoryView StatusLast Update
0003821ScribusUsabilitypublic2007-06-25 17:49
Reporterchristoph_s Assigned To 
PrioritynormalSeverityminorReproducibilityN/A
Status acknowledgedResolutionopen 
Product Version1.3 
Target VersionFixed in Version 
Summary0003821: Metabug: Usability
DescriptionIssues with respect to usability.

==PLEASE DON'T ADD ANY COMMENTS TO THIS METABUG==

If you wish to be notified about issues related to usability, please click on the "Monitor Issue" button
Additional InformationSee the whole list of metabugs: http://wiki.scribus.net/index.php/Metabugs
TagsNo tags attached.
Patch

Relationships

related to 0003512 closedjghali Print preview: antialiasing errors 
related to 0000709 closedcbradney Switched Yes/No and Yes/No/Cancel dialogues 
related to 0002761 closedfschmid Slow moving large vector groups - profiling data 
related to 0001132 acknowledged Styles should be separate from documents 
related to 0001223 closedfschmid Make non-printable "characters" visible 
related to 0001957 closedcbradney Rename Page Templates to be Master Pages 
parent of 0003814 closedcbradney Manage Pictures: Add button to search for all pictures in one directory 
parent of 0003816 closedcbradney Preferences/Tools: Add appriopriate titles for subsections 
parent of 0003291 closedplinnell Preferences>General: Font face setting needed 
parent of 0003766 feedback UI improvement proposals to reduce the number of clicks 
parent of 0003316 closed print preview: add button to open prepress checker if errors where detected 
parent of 0003592 closedKunda Setting line geometry properties display errors 
parent of 0002057 closedsubik preferences -> Fonts: improvement in usability 
parent of 0000512 closedsubik Better guide dialog 
parent of 0003655 closedjghali Better usability for text flow around objects 
parent of 0003160 assignedale Add more status bar tool tips when tools are selected to give hints on usage. 
parent of 0001304 closedmhanski Usability: Object properties dialog should be context-sensitive 
parent of 0000577 closedcbradney Paragraph Styles -> Kerning and language options missing 
parent of 0003449 closedTsoots Put styles into separate palettes 
parent of 0002407 acknowledged Metabug: Misleading and wrong cursors 
parent of 0001659 closedplinnell Editing overlapping frames is very challenging because when selected, a frame retains its stacking order 
parent of 0001391 closedcbradney Double click does not select the word under the cursor 
parent of 0002641 closedcbradney Improvements to "Distribute and Align" dialog 
parent of 0002248 closedcbradney Don't silently disable ICC profiles in prefs when a doc is open 
parent of 0002682 closedfschmid "Add Node" button looses state 
parent of 0002046 closedringerc Scribus appears to lock up when using Manage Pictures "Search" function 
parent of 0002430 closedcbradney Move items to an appropriate menu 
parent of 0002481 closedsubik confusing names of buttons in fonts preview plug-in 
parent of 0001319 closed Dragging objects to scrapbook moves copy in document to page edge 
parent of 0001529 closedTsoots "Undo history" palette 
parent of 0001175 closedcbradney Switching between GUI languages from within Scribus 
parent of 0001981 closedsubik Add columns and gutter in Guide manager 
parent of 0001990 closedcbradney Improved control of Page Size menu 
parent of 0001434 closedsubik double-click on style should open edit-style dialog 
parent of 0001437 closedfschmid Usability-improvement for Extras:Insert Special. Make it possible to select the font 
parent of 0001438 closedsubik Usability-improvement for Extras:Insert Special. Point out that you can use the RMB for the magnifier 
parent of 0001299 closedcbradney Magnetic helper lines should work during moving an object 
parent of 0000869 closedsubik oriantation setting wrong displayed 
parent of 0000028 closedplinnell Prepare shortcut keys for menus and dialogs, and more hotkeys for actions for 1.2 release 
parent of 0000356 closedale Margin Dialog not intuituve enough 
parent of 0000241 closedfschmid Get Picture dialog's file filter should have all supported formats on by default 
parent of 0002251 acknowledged Metabug: Vanishing or silently disabled UI 
parent of 0003937 closedcbradney Changing number of columns of a text frame 
parent of 0003943 closedTsoots Properties/Shape/Distance of Text: Please unhide "Gap" between columns 
parent of 0003967 closedfschmid Preferences/General: Font size setting for Palette titles needed 
parent of 0003983 closedjghali scribus does not respect the windows ui font but uses its own 
parent of 0004003 closed Edit/Colors: Implement import of external color set files 
parent of 0001267 closedfschmid Edit/Colors: add option to save color schemes as xml/text files and to import them 
parent of 0004011 closedfschmid Text frame/Convert to/Outlines: Converting chained frames to outlines 
parent of 0001137 acknowledged More possibilities to choose text wrap and text flow around picture frames 
parent of 0004215 acknowledgedTsoots Shorcut for frame margins - current method (using edit shape) unintuitive 
parent of 0004424 closedcbradney Preflight: Glyphs missing: provide more information 
parent of 0003373 closedcbradney Restoring objects changes stacking order 
parent of 0003701 assignedavox PDF export: better UI for Font Embedding 
parent of 0004449 closedfschmid Print preview: Please rename "Device settings" and "Job settings" (they're not end users friendly) 
parent of 0003754 closedTsoots dropdown menu options for leading (text properties pallette) do not work 
parent of 0004484 assignedcezaryece TOC generation: Several issues 
parent of 0003776 closedchristoph_s rectangular frames runaround needs more values 
parent of 0005949 acknowledged Cannot force Style+ back into Style 
related to 0003219 closedcbradney Add a warning for 1.3 development versions 
related to 0003980 closedcbradney Palettes: Inconsistent font size of palette titles 
related to 0004306 closedfschmid Irritating behaviour of the cursor 
related to 0004368 closedcbradney Add tooltips to all entries of the status bar 
Not all the children of this issue are yet resolved or closed.

Activities

faramond

2007-06-25 17:49

reporter   ~0016671

There is also a discussion of usability issues in the Scribus wiki at:
http://wiki.scribus.net/index.php/Discussion:_Scribus_UI/usability_improvements

Issue History

Date Modified Username Field Change
2006-05-15 17:59 christoph_s New Issue
2006-05-15 18:01 christoph_s Relationship added parent of 0003814
2006-05-15 18:01 christoph_s Relationship added parent of 0003816
2006-05-15 18:03 christoph_s Relationship added parent of 0003291
2006-05-15 18:03 christoph_s Relationship added parent of 0003788
2006-05-15 18:03 christoph_s Relationship added parent of 0003766
2006-05-15 18:04 christoph_s Relationship deleted parent of 0003788
2006-05-15 18:04 christoph_s Relationship added parent of 0003316
2006-05-15 18:05 christoph_s Relationship added parent of 0003592
2006-05-15 18:06 christoph_s Relationship added parent of 0002057
2006-05-15 18:06 christoph_s Relationship added parent of 0000512
2006-05-15 18:07 christoph_s Relationship added related to 0003512
2006-05-15 18:07 christoph_s Relationship added parent of 0003655
2006-05-15 18:08 christoph_s Relationship added parent of 0003160
2006-05-15 18:09 christoph_s Relationship added parent of 0001304
2006-05-15 18:09 christoph_s Relationship added parent of 0000577
2006-05-15 18:10 christoph_s Relationship added parent of 0003449
2006-05-15 18:10 christoph_s Relationship added parent of 0002407
2006-05-15 18:11 christoph_s Relationship added parent of 0001659
2006-05-15 18:11 christoph_s Relationship added parent of 0001391
2006-05-15 18:12 christoph_s Relationship added parent of 0002641
2006-05-15 18:12 christoph_s Relationship added related to 0000709
2006-05-15 18:13 christoph_s Relationship added related to 0002761
2006-05-15 18:14 christoph_s Relationship added parent of 0002248
2006-05-15 18:14 christoph_s Relationship added parent of 0002682
2006-05-15 18:16 christoph_s Relationship added parent of 0002046
2006-05-15 18:16 christoph_s Relationship added parent of 0002430
2006-05-15 18:16 christoph_s Relationship added parent of 0002481
2006-05-15 18:17 christoph_s Relationship added parent of 0001319
2006-05-15 18:18 christoph_s Relationship added related to 0001132
2006-05-15 18:18 christoph_s Relationship added parent of 0001529
2006-05-15 18:19 christoph_s Relationship added related to 0001223
2006-05-15 18:19 christoph_s Relationship added parent of 0001175
2006-05-15 18:20 christoph_s Relationship added parent of 0001981
2006-05-15 18:20 christoph_s Relationship added parent of 0001990
2006-05-15 18:21 christoph_s Relationship added parent of 0001434
2006-05-15 18:22 christoph_s Relationship added parent of 0001437
2006-05-15 18:22 christoph_s Relationship added parent of 0001438
2006-05-15 18:23 christoph_s Relationship added parent of 0001299
2006-05-15 18:23 christoph_s Relationship added parent of 0000869
2006-05-15 18:24 christoph_s Relationship added parent of 0000028
2006-05-15 18:25 christoph_s Relationship added parent of 0000356
2006-05-15 18:26 christoph_s Relationship added parent of 0000241
2006-05-15 18:37 christoph_s Relationship added parent of 0002251
2006-05-16 23:16 mhanski Description Updated
2006-05-17 17:37 avox Status new => acknowledged
2006-05-18 18:49 christoph_s Relationship added related to 0001957
2006-05-30 09:32 mhanski Relationship added related to 0003219
2006-06-24 12:11 mhanski Relationship added parent of 0003937
2006-06-26 12:12 mhanski Relationship added parent of 0003943
2006-07-02 22:22 mhanski Additional Information Updated
2006-07-03 19:31 mhanski Relationship added parent of 0003967
2006-07-05 08:46 mhanski Relationship added related to 0003980
2006-07-06 12:10 mhanski Relationship added parent of 0003983
2006-07-10 21:57 mhanski Relationship added parent of 0004003
2006-07-11 08:08 mhanski Relationship added parent of 0001267
2006-07-12 08:48 mhanski Relationship added parent of 0004011
2006-08-31 09:56 mhanski Relationship added parent of 0001137
2006-09-22 01:52 christoph_s Relationship added parent of 0004215
2006-10-01 22:18 christoph_s Relationship added related to 0004306
2006-10-05 22:41 christoph_s Relationship added related to 0004368
2006-10-18 14:30 mhanski Relationship added parent of 0004424
2006-10-20 19:56 mhanski Relationship added parent of 0003373
2006-10-22 21:26 mhanski Relationship added parent of 0003701
2006-10-25 07:09 mhanski Relationship added parent of 0004449
2006-10-31 17:16 mhanski Relationship added parent of 0003754
2006-11-05 19:17 mhanski Relationship added parent of 0004484
2006-12-03 20:00 mhanski Relationship added parent of 0003776
2007-06-25 17:49 faramond Note Added: 0016671
2007-06-25 23:00 christoph_s Relationship added parent of 0005949